using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ex05_6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" || textBox2.Text == "")
            {
                MessageBox.Show("姓名或密码不能为空！");
            }
            else if (textBox1.Text == "李亮" && textBox2.Text == "888888")
            {
                printDialog1.ShowDialog();
                printPreviewDialog1.Document = this.printDocument1;
                printPreviewDialog1.ShowDialog();
            }
            else
            {
                MessageBox.Show("姓名或密码不正确，请从新输入！");
            }
        }

        private void printDocument1_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
        {
            e.Graphics.DrawString(label1.Text, new Font("宋体", 10, FontStyle.Regular), Brushes.Black, 260, 400);
            e.Graphics.DrawString(textBox1.Text, new Font("宋体", 10, FontStyle.Regular), Brushes.Black, 330, 400);
            e.Graphics.DrawString(label2.Text, new Font("宋体", 10, FontStyle.Regular), Brushes.Black, 260, 420);
            e.Graphics.DrawString(textBox2.Text, new Font("宋体", 10, FontStyle.Regular), Brushes.Black, 330, 420);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
            Application.Exit();
        }
    }
}
